<script setup lang="ts">
import { useProductStore } from '@/stores/product';

import DialogAddProduct from './DialogAddProduct.vue';
import DialogDelete from './DialogDelete.vue';
import { ref } from 'vue';
import type { Product } from '@/types/Product';

const productStore = useProductStore()
const  headers =[
          {
            key: 'id',
            sortable: false,
            title: 'ProuductId',
          },
          { key: 'name', title: 'Name' },
          { key: 'category', title: 'Category' },
          { key: 'type', title: 'Type' },
          { key: 'gsize', title: 'Size' },
          { key: 'price', title: 'Price' },
          { title: 'Actions', key: 'actions', sortable: false },
        ]
const search = ref('')
</script>
<template>
  <v-row no-gutters>
            <v-col cols="12" md="5" >
                <v-text-field
                v-model="search"
                density="compact"
                variant="solo"
                label="Search Product"
                append-inner-icon="mdi-magnify"
                single-line
                hide-details
               
                style="width: 200px;"
                >
                </v-text-field>
            </v-col>
            <v-col cols="12" md="5" style="padding-top: 0px; "  >
            <div><v-btn prepend-icon="mdi-plus" style="margin-left: 550px;" @click="productStore.openDialog">Product Add</v-btn></div>  
            </v-col>
        </v-row>
    <v-data-table 
            :headers="headers"
            :items="productStore.products"
            :search="search"
            :items-per-page="8"
            >

            <template v-slot:[`item.actions`]="{ item }">
      <v-icon
        size="small"
        class="me-2"
        @click="productStore.editProduct(item)"
      >
        mdi-pencil
      </v-icon>
      <v-icon
        size="small"
        @click="productStore.openDialogDelete(item)"
      >
        mdi-delete
      </v-icon>
    </template>
</v-data-table>
  <DialogAddProduct></DialogAddProduct>
  <DialogDelete></DialogDelete>
</template>